package capitulo04.bloque05;

import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio05 {
    public static void main(String[] args) {
        String stringAInvertir = solicitarStringScanner("Introduzca una oración para invertir las letras de sus palabras");
        System.out.println("Cadena invertida: " + invertirPalabras(stringAInvertir));
    }

    public static String invertirPalabras(String textoAInvertir) {
        String resultado = "";
        String palabraActual = "";
        for (int i = 0; i <= textoAInvertir.length(); i++) {

            char caracterActual;
            if (i < textoAInvertir.length()) {
                caracterActual = textoAInvertir.charAt(i);
            } else {
                caracterActual = ' ';
            }

            if (caracterActual != ' ') {
                palabraActual += caracterActual;
            } else {
                for (int j = (palabraActual.length() - 1); j >= 0; j--) {
                    resultado += palabraActual.charAt(j);
                }
                resultado += ' ';
                palabraActual = "";
            }
        }

        return resultado;
    }
}
